package com.ekingwin.bas.cloud.org.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import tk.mybatis.mapper.entity.Example;

import com.ekingwin.bas.cloud.org.dao.entity.OrganizationAuthority;
import com.ekingwin.bas.mapper.BasMapper;
/**
 * 组织权限Dao接口，用于与数据库交互
 * @author caiyang
 *
 */
public interface IOrganizationAuthorityDao extends BasMapper<OrganizationAuthority>{
	
	// 移除管理员
	public void removeMaintainersFromOrg(Map<String, String> map);
	//根据被授权人与授权组织查询授权信息
	public OrganizationAuthority getOrgAutByUserOrg(Map<String, String> map);
	//查询所有授权信息
	public List<OrganizationAuthority> getOrgAut();
	
	public List<OrganizationAuthority> getOrgAutByUser(@Param("example")Example example,@Param("userid")String userid);
	public List<OrganizationAuthority> getOrgAutAll(@Param("example")Example example);
		
	
	

}
