package com.ekingwin.bas.cloud.org.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ekingwin.bas.cloud.org.dao.entity.IdmPostEsb;
import com.ekingwin.bas.cloud.org.dto.IdmPostEsbDto;
import com.ekingwin.bas.mapper.BasMapper;

import tk.mybatis.mapper.entity.Example;

public interface IPostEsbDao extends BasMapper<IdmPostEsb> {

	public int getNumBySysCodes(@Param("sysid")String sysid, @Param("pcode")String pcode,
			 @Param("code")String code, @Param("fullname")String fullname, @Param("isdelete")String isdelete, @Param("name")String name);

	/**
	 * 根据id删除推送数据
	 * @param id
	 */
	public void deletePostById(@Param("id")String id);

	/**
	 * 根据id修改推送状态
	 * @param id
	 */
	public void modifyPostById(@Param("id")String id);

	public IdmPostEsbDto getPostById(@Param("id")String id);

	public List<IdmPostEsb> getPosts(@Param("example")Example example);

}
