package com.ekingwin.bas.cloud.supplier.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("供应商列表信息")
public class SupplierPageInfoVo {

    @ApiModelProperty(value = "主键", required = false)
    private Long id;
    @ApiModelProperty(value = "企业名称", required = false)
    private String fullname;
    @ApiModelProperty(value = "企业编码", required = false)
    private String code;
    @ApiModelProperty(value = "联系人", required = false)
    private String contact;
    @ApiModelProperty(value = "联系方式", required = false)
    private String phone;
    @ApiModelProperty(value = "邮箱", required = false)
    private String email;
    @ApiModelProperty(value = "服务范围", required = false)
    private String coverage;
    @ApiModelProperty(value = "供应种类", required = false)
    private String supplyCategory;
    @ApiModelProperty(value = "品牌", required = false)
    private String brand;

}
