package com.ekingwin.bas.cloud.user.dao;

import com.ekingwin.bas.cloud.user.dao.entity.IpcOutUser;
import com.ekingwin.bas.cloud.user.dto.IpcOutUserDto;
import com.ekingwin.bas.cloud.user.dto.IpcOutUserPageDto;

import java.util.List;

public interface IpcOutUserMapper {
    int deleteByPrimaryKey(Long id);

    int insert(IpcOutUser ipcOutUserDto);

    int insertSelective(IpcOutUserDto ipcOutUserDto);

    IpcOutUser selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(IpcOutUserDto ipcOutUserDto);

    int updateOutUser(IpcOutUserDto ipcOutUserDto);

    int updateByPrimaryKey(IpcOutUser ipcOutUserDto);

    IpcOutUser selectUsers();

    String selectUsermsg(IpcOutUserDto ipcOutUserDto);

    IpcOutUser selectCallPhone(IpcOutUserDto ipcOutUserDto);

    int selectState(IpcOutUserDto ipcOutUserDto);

    int updateState(IpcOutUserDto ipcOutUserDto);

    List<IpcOutUserDto> selectPage(IpcOutUserPageDto ipcOutUserPageDto);


    /**
     * 根据工号获取用户信息
     * @param usermsg
     * @return
     */
    IpcOutUser selectByUsermsg(String usermsg);

}