package com.ekingwin.bas.cloud.user.service;

import org.springframework.web.multipart.MultipartFile;

import com.ekingwin.bas.cloud.infra.dto.BaseResult;
import com.ekingwin.bas.cloud.infra.dto.QueryDTO;
import com.ekingwin.bas.cloud.infra.exception.BasException;
import com.ekingwin.bas.cloud.infra.service.IBaseCurdService;
import com.ekingwin.bas.cloud.infra.utils.db.PageCriteria;
import com.ekingwin.bas.cloud.user.dto.UserDto;

public interface IUserMetaTenantService extends IBaseCurdService<UserDto> {

	BaseResult<PageCriteria<UserDto>> getTenantUser(QueryDTO query) throws BasException;
	/**
	 * excel导入用户
	 * @param file
	 * @return
	 * @throws BasException
	 */
	public boolean importemployee(MultipartFile file) throws BasException;
}
