package com.ekingwin.bas.cloud.user.service;

import com.ekingwin.bas.cloud.user.dto.IpcOutUserDto;
import com.ekingwin.bas.cloud.user.dto.IpcOutUserPageDto;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface IpcOutUserService{


    Long saveOrUpdate(IpcOutUserDto ipcOutUserDto) throws Exception;

    void delete(IpcOutUserDto ipcOutUserDto);

    IpcOutUserDto select(IpcOutUserDto ipcOutUserDto);

    PageInfo<IpcOutUserDto> selectPage(IpcOutUserPageDto ipcOutUserPageDto);

    void batchDisable(List<IpcOutUserDto> ipcOutUserDto);

    void batchEnabled(List<IpcOutUserDto> ipcOutUserDto);

    void operation(IpcOutUserDto ipcOutUserDto);


    /**
     * 同步签约供应商
     * @param ipcOutUserDto
     * @throws Exception
     */
    void initIpCoutUser(IpcOutUserDto ipcOutUserDto) throws Exception;
}
