package com.ekingwin.bas.cloud.rolejcy.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ekingwin.bas.cloud.rolejcy.dao.entity.Rolejcy;
import com.ekingwin.bas.cloud.rolejcy.dao.entity.RolejcyEmployee;
import com.ekingwin.bas.mapper.BasMapper;

public interface RolejcyDao extends BasMapper<Rolejcy>{
	/**
	 * 根据名称和公司ID获取角色信息
	 * @param name
	 * @param companyid
	 * @return
	 */
	public List<Rolejcy> getByNameAndTenantid(@Param("name")String name,@Param("tenantid")String tenantid);
	/**
	 * 根据用户ID和角色ID获取用户角色对应关系
	 * @param roleid
	 * @param userid
	 * @return
	 */
	public List<RolejcyEmployee> getRolejcyEmployeeByRoleidAndUserid(@Param("roleid")String roleid,@Param("userid")String userid);
	
	
}

