package com.ekingwin.bas.cloud.rolejcy.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("获取已添加角色分页信息")
public class IRoleegoPageDto {

    @ApiModelProperty(value = "页码", required = true)
    private int pagenum;

    @ApiModelProperty(value = "条数", required = true)
    private int pagesize;

    @ApiModelProperty(value = "角色id", required = false)
    private String roleid;

    @ApiModelProperty(value = "查询参数",required = false)
    private String searchParam;

}
