package com.ekingwin.bas.cloud.rolejcy.service;

import java.util.List;

import com.ekingwin.bas.cloud.infra.exception.BasException;
import com.ekingwin.bas.cloud.infra.service.IBaseEntityService;
import com.ekingwin.bas.cloud.rolejcy.dto.RolejcyDto;

public interface IRolejcyService extends IBaseEntityService<RolejcyDto> {
	/**
	 * 根据名称和公司ID获取角色
	 * @param name
	 * @param companyid
	 * @return
	 * @throws BasException
	 */
	public  List<RolejcyDto>  getByNameAndTenantid(String name, String companyid) throws BasException;
}

