package com.ekingwin.bas.cloud.thirdinterface.orgsync.service.impl;

import com.ekingwin.bas.cloud.infra.dto.BaseResult;
import com.ekingwin.bas.cloud.infra.dto.QueryDTO;
import com.ekingwin.bas.cloud.infra.exception.BasException;
import com.ekingwin.bas.cloud.infra.service.BaseService;
import com.ekingwin.bas.cloud.infra.utils.db.PageCriteria;
import com.ekingwin.bas.cloud.org.OrganizationException;
import com.ekingwin.bas.cloud.org.dao.IOrgDao;
import com.ekingwin.bas.cloud.org.dto.OrgDto;
import com.ekingwin.bas.cloud.thirdinterface.orgsync.service.IOrgMetaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

@Primary
@Service
public class OrgMetaServiceImpl extends BaseService implements IOrgMetaService {

	@Autowired
	private IOrgDao orgDao;

	@Override
	public void enableOrgAccount(String id) throws OrganizationException {
		orgDao.enableOrgAccount(id);
	}

	@Override
	public void disableOrgAccount(String id) throws OrganizationException {
		orgDao.disableOrgAccount(id);
	}


	@Override
	public BaseResult<OrgDto> save(OrgDto orgDto) throws BasException {
		return null;
	}

	@Override
	public BaseResult<OrgDto> delete(String s) throws BasException {
		return null;
	}

	@Override
	public BaseResult<PageCriteria<OrgDto>> query(QueryDTO queryDTO) throws BasException {
		return null;
	}

	@Override
	public BaseResult<OrgDto> get(String s) throws BasException {
		return null;
	}
}