package com.ekingwin.bas.cloud.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  Dto
 * hyl
 */
@Data
@ApiModel("用户同步到bpm引擎")
public class UserToBpmDto{
	@ApiModelProperty(value = "员工uid",required = true)
	private	String	empuid	;//	员工uid
	@ApiModelProperty(value = "员工工号",required = true)
	private	String	empid	;//	员工工号
	@ApiModelProperty(value = "中文名称",required = true)
	private	String	cnname	;//	中文名称
	@ApiModelProperty(value = "英文名称",required = false)
	private	String	enname	;//	英文名称
	@ApiModelProperty(value = "邮件",required = false)
	private	String	email	;//	邮件
	@ApiModelProperty(value = "电话",required = false)
	private	String	phone	;//	电话
	@ApiModelProperty(value = "是否删除 Y/N",required = true)
	private String isDeleted="N";//是否删除 Y/N
	@ApiModelProperty(value = "全称 ",required = true)
	private	String	displayname	;//	全称
	@ApiModelProperty(value = "岗位ID ",required = false)
	private	Integer	defaultpos	;//	岗位ID
	@ApiModelProperty(value = "电话 ",required = false)
	private	String	mobilephone	;//	电话
	@ApiModelProperty(value = "部门ID ",required = false)
	private	String	deptid	;//	部门ID
	@ApiModelProperty(value = "性别 ",required = false)
	private	String	sex	;//	性别
	@ApiModelProperty(value = "0代表内部用户，1代表外部用户",required = false)
	private	String	remark	;//	用户类型
}
